<div class="gateway-pattern">
  <h4 class="group-header">{{gPatternAdd.pattern_name}}</h4>
  <section>
    <md-list>
      <md-list-item>
        <!--<img class="icon" src="assets/images/imgNone.png">-->
        <i class="secual-icon icon icon-pattern secual-primary-color"></i>
        <div class="title">
          <input type="text" ng-model="gPatternAdd.pattern.name" class="editable">
        </div>
        <span class="accessory-icon" ng-click="gPatternAdd.savePattern(); gPatternAdd.editPatternName = false" ng-show="gPattern.editPatternName && !gPattern.newPattern">
          <i class="icon-check"></i>
        </span>
         <span class="accessory-icon" ng-click="gPatternAdd.createPattern(); gPattern.editPatternName = false" ng-show="gPattern.editPatternName && gPattern.newPattern">
          <i class="icon-check"></i>
        </span>
        <span class="accessory-icon" ng-click="gPatternAdd.editPatternName = false" ng-show="gPattern.editPatternName">
          <i class="icon-close"></i>
        </span>
      </md-list-item>
    </md-list>
  </section>

  <h4 class="group-header">{{gPatternAdd.LOCK_PATTERN}}</h4>
  <section>
    <ul class="lock-patterns-list list-unstyled">
      <md-list class="lp-gateway" ng-repeat="gateway in gPatternAdd.pattern_locks">
        <md-list-item class="gateway-toggle secual-list-devider" ng-init="gPatternAdd.gatewayStatus_[$index] = gPatternAdd.checkAllLocked($index, gateway.sensors)">
          <!--<img class="icon" src="assets/images/imgNone.png">-->
          <i class="secual-icon icon icon-gateway secual-primary-color"></i>
          <span class="title">{{gateway.name}}</span>
          <md-switch md-no-ink ng-model="gPatternAdd.gatewayStatus_[$index]" ng-change="gPatternAdd.toggleSelectAll(gPatternAdd.gatewayStatus_[$index], gateway.sensors)"></md-switch>
        </md-list-item>
        <md-list class="gateway-sensors">
          <md-list-item ng-repeat="sensor in gateway.sensors" class="secual-list-devider">
            <i class="secual-icon icon icon-sensor secual-primary-color"></i>
            <!--<img class="icon" src="assets/images/imgNone.png">-->
            <span class="title">{{sensor.sensorname}}</span>
            <md-switch ng-model="sensor.lock" ng-change="gPatternAdd.updateSensorLock(sensor.id, sensor.lock)"></md-switch>
          </md-list-item>
        </md-list>
      </md-list>
    </ul>

  </section>
  <div class="secual-explanation-text-wrapper container">
    <p class="secual-explanation-text">各ゲートウェイのセンサーをロックするかどうかのプリセットパターンの編集画面。パターンの削除もこの画面から行います</p>
  </div>
</div>
